#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/wbarnha/kafka-python-ng
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build kafka-python .coverage kafka_python.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -rf .pytest_cach

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p kafka_python.egg-info
	cp debian/PKG-INFO kafka_python.egg-info
	ln -s kafka kafka-python
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest test -k "not test_send" ; \
	done
	rm -rf kafka_python.egg-info
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		PYTHON=python$$pyvers setup.py test ; \
#	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-kafka-doc/usr/share/doc/python-kafka-doc/html
	dh_sphinxdoc
